Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.rwi.extension
Class RwiMemberProviderAdapter

public abstract class RwiMemberProviderAdapter
implements RwiMemberProvider

Presents minimal implementation of RwiMemberProvider.

Author:
  TogetherSoft
See Also: RwiMemberProvider

Field Summary
`final static RwiMemberEnumeration` | `EMPTY_RWI_MEMBER_ENUMERATION`

Method Summary
`boolean` | `canPaste(RwiMember member, RwiNode rwiNode, RwiElement anchor, boolean before)` Always returns `false`.
`RwiMember` | `findMember(String uniqueName)` Always returns `null`.
`boolean` | `isMemberProvided(RwiMember member)` Always returns `false`.
`RwiMemberEnumeration` | `members(RwiNode node)` Returns empty enumeration of `RwiMemeber`s.
`RwiMember` | `paste(RwiMember member, RwiNode rwiNode, RwiElement anchor, boolean before)` Always returns `null`.

Field Detail

### EMPTY_RWI_MEMBER_ENUMERATION

    public final static RwiMemberEnumeration EMPTY_RWI_MEMBER_ENUMERATION

Method Detail

### canPaste

    public boolean canPaste(RwiMember member, RwiNode rwiNode, RwiElement anchor, boolean before)

  Always returns `false`.
  See Also:
    RwiMemberProvider.canPaste(com.togethersoft.openapi.rwi.RwiMember,com.togethersoft.openapi.rwi.RwiNode,com.togethersoft.openapi.rwi.RwiElement,boolean)

### findMember

    public RwiMember findMember(String uniqueName)

  Always returns `null`.
  See Also:
    RwiMemberProvider.findMember(java.lang.String)

### isMemberProvided

    public boolean isMemberProvided(RwiMember member)

  Always returns `false`.
  See Also:
    RwiMemberProvider.members(com.togethersoft.openapi.rwi.RwiNode)

### members

    public RwiMemberEnumeration members(RwiNode node)

  Returns empty enumeration of `RwiMemeber`s.
  See Also:
    RwiMemberProvider.members(com.togethersoft.openapi.rwi.RwiNode)

### paste

    public RwiMember paste(RwiMember member, RwiNode rwiNode, RwiElement anchor, boolean before)

  Always returns `null`.
  See Also:
    RwiMemberProvider.paste(com.togethersoft.openapi.rwi.RwiMember,com.togethersoft.openapi.rwi.RwiNode,com.togethersoft.openapi.rwi.RwiElement,boolean)

Association Links

to Class com.togethersoft.openapi.rwi.enum.RwiMemberEnumeration

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD